const path = require('path');
const Shark = require('../');

const { Server } = require('poolish');

const shark = new Shark(new Server(5001), path.resolve(__dirname, 'controllers'));
shark.on('reg', name => console.log(`Controller [${name}] has registered!`));
shark.on('exec_succeed', (name, params, cost) => console.log(`Executed [${name}] success! Time cost: ${cost}ms`));
shark.on('exec_failed', (name, params, error) => console.error(`Executed [${name}] failed. Error: ${error.message}`));
shark.on('listening', port => console.log('Server listening on %s', port));
shark.on('error', (error, tag) => console.error(tag, error.message));
shark.on('connected', client => console.log(`Client [${client.id}] connected.`));
shark.on('disconnected', client => console.log(`Client [${client.id}] disconnected.`));